using Codex.CQRS;
using Codex.Dal;
using OpenHarbor.CQRS.DynamicQuery.Abstractions;
using PoweredSoft.Module.Abstractions;

namespace Codex.Api;

public class AppModule : IModule
{
    public IServiceCollection ConfigureServices(IServiceCollection services)
    {
        services.AddModule<DalModule>();
        services.AddModule<CommandsModule>();
        services.AddModule<QueriesModule>();

        return services;
    }
}
